package p2.application.tuseraccountdetails;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;

public class tuseraccountdetails extends PaoCust {
    public tuseraccountdetails(PaoSet arg0) {
        super(arg0);
    }

    public void setValues(String ftype, String ftypemx, int famount, String fnotes, String createby, String siteid, long tenterprise_userid) throws P2Exception {
        setValue("ftype", ftype, 11L);
        setValue("ftypemx", ftypemx, 11L);
        setValue("famount", famount, 11L);
        setValue("fnotes", fnotes, 11L);
        setValue("siteid", siteid, 11L);
        setValue("createby", createby, 11L);
        setValue("tenterprise_userid", tenterprise_userid, 11L);


        if (getOwner() != null) {
            setValue("fsourceobject", getOwner().getName(), 11L);
            setValue("fsourceid", getOwner().getUniqueIDValue(), 11L);
        }
        setValue("createdate", getDateTime(), 11L);

        /**
         * 账户余额通过tuseraccountdetails触发器实现
         */
    }
}
